# Generated by Django 4.0 on 2022-10-02 12:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('employee', '0005_alter_employee_blood_alter_employee_father_and_more'),
        ('custom', '0006_position_code'),
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='FundType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TrainingType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TrainingPlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=500, null=True, verbose_name='Titulu Formasaun')),
                ('area', models.CharField(blank=True, max_length=200, null=True, verbose_name='Area')),
                ('institute', models.CharField(blank=True, max_length=200, null=True, verbose_name='Instituisaun')),
                ('place', models.CharField(blank=True, choices=[('Rai Laran', 'Rai Laran'), ('Rai Liur', 'Rai Liur')], max_length=10, null=True, verbose_name='Fatin')),
                ('partner', models.CharField(blank=True, choices=[('Rai Laran', 'Rai Laran'), ('Rai Liur', 'Rai Liur')], max_length=10, null=True, verbose_name='Parceiru')),
                ('partner_name', models.CharField(blank=True, max_length=100, null=True, verbose_name='Naran Parceiru')),
                ('fund_amount', models.DecimalField(blank=True, decimal_places=2, max_digits=8, null=True, verbose_name='Custu (USD)')),
                ('start_date', models.DateField(null=True)),
                ('end_date', models.DateField(null=True)),
                ('hours', models.IntegerField(blank=True, null=True, verbose_name='Total Horas')),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.country', verbose_name='Nasaun')),
                ('municipality', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.municipality', verbose_name='Municipiu')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.user')),
            ],
        ),
        migrations.CreateModel(
            name='Training',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=500, null=True, verbose_name='Titulu Formasaun')),
                ('area', models.CharField(blank=True, max_length=200, null=True, verbose_name='Area')),
                ('institute', models.CharField(blank=True, max_length=200, null=True, verbose_name='Instituisaun')),
                ('place', models.CharField(blank=True, choices=[('Rai Laran', 'Rai Laran'), ('Rai Liur', 'Rai Liur')], max_length=10, null=True, verbose_name='Fatin')),
                ('partner', models.CharField(blank=True, choices=[('Rai Laran', 'Rai Laran'), ('Rai Liur', 'Rai Liur')], max_length=10, null=True, verbose_name='Parceiru')),
                ('partner_name', models.CharField(blank=True, max_length=100, null=True, verbose_name='Naran Parceiru')),
                ('fund_amount', models.DecimalField(blank=True, decimal_places=2, max_digits=8, null=True, verbose_name='Custu (USD)')),
                ('start_date', models.DateField(null=True)),
                ('end_date', models.DateField(null=True)),
                ('hours', models.IntegerField(blank=True, null=True, verbose_name='Total Horas')),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.country', verbose_name='Nasaun')),
                ('department', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='training', to='custom.department', verbose_name='Departamento')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='training', to='employee.employee', verbose_name='Pessoal')),
                ('fund_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='training', to='training.fundtype', verbose_name='Fontes Financiamentu')),
                ('municipality', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.municipality', verbose_name='Municipiu')),
                ('position', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='training', to='custom.position', verbose_name='Pojisaun')),
                ('training_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='training', to='training.trainingtype', verbose_name='Tipu Formasaun')),
                ('unit', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='training', to='custom.unit', verbose_name='Diresaun')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.user')),
            ],
        ),
    ]
